Subject: PANUPS: address correction

From: Pesticide Action Network North America Reg Ctr <[email-masked]>
Date: Fri, 5 Feb 93 18:05:43 PST

Correct phone number for Northwest Coalition for Alternatives to Pesticides
is (503)344-5044 (given as contact in PANUPS on Delaney Clause)